using PlanTempus.Core.CommandQueries;

namespace PlanTempus.Components;

public interface ICommandHandler
{
    Task<CommandResponse> Handle<TCommand>(TCommand command) where TCommand : ICommand;
}

public interface ICommandHandler<TCommand> where TCommand : ICommand
{
    Task<CommandResponse> Handle(TCommand command);
}

public interface ICommandHandlerDecorator
{
}